Bug 122272 - (FAT)Unmounting then remounting doesnt update permissions
(FAT)Unmounting then remounting doesnt update permissions
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-05-02 12:21 EDT by Michael Favia
Modified: 2015-01-04 17:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:36:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Favia 2004-05-02 12:21:26 EDT
Description of problem:
I was attempting to mount a vfat drive onto /media/storage and edited
the fstab the first time with the default options. Then i realized
that only root had rw priveleges and i edited the fstab to give those
privs to everyone in a group (501). However after unmounting the
mountpoint and the remounting from the fstab via "mount -a" the mount
point remounted and reported that the permissions were changed (when
you type mount to see the mounts) but the actual mountpoint was still
like the original mount.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. edit fstab and add line to mount a vfat drive with defaults:
/dev/hda2    /media/storage       vfat     default   0   0
2. mount the fstab (mount -a) and check the privs (mount)
4. unmount the mountpoint via unmount (be sure to close anything using it)
5. edit the fstab entry to be: 
/dev/hda2    /media/storage       vfat    
gid=501,umask=002,noexec,user,nosuid   0   0
6. remount the drive (mount -a) and check the permissions (mount)

Actual results:
no permission change

Expected results:
change permissions to 775 for users in group 501

Additional info:
you dont have to use groups or the names i used to see the
effects/error i just like to promote good security :)

Ill be happy to reply to clarification requests this is an odd bug for me.
Comment 1 Michael Favia 2004-05-02 12:22:03 EDT
oops there is no step 3 ignore the skip :)
Comment 2 Alan Cox 2004-05-02 17:34:06 EDT
When you umount are you the final unmounter (eg is it also mounted by
nautilus or similar) - what does df say at that point
Comment 3 Michael Favia 2004-05-03 16:29:13 EDT
ocassionally the device reports that it is busy and i am forced to do
a lazy unmount. Regardless of the type of unmount though df reports
the drive unmounted and mounted when it should be. Is there a way to
see/clear anything with locks on the drive? i dont think nautilus
gives the locks up very reliably.
Comment 4 Alan Cox 2004-05-03 18:34:22 EDT
Nautilus should do so if the window is closed. Fam sometimes holds on
to them for a bit longer, which is a problem being investigated
Comment 5 Michael Favia 2004-05-04 09:58:47 EDT
Are you unable to reproduce? Mine works without fail. If you dont get
the same results id like to post and explicit walkthrough so you can
see the issue. Lie i said earlier, it works if you reboot so i dont
really care if it is fixed for functionality sake but i wasted quite
some time thinking i was going crazy. :)
Comment 6 Dave Jones 2004-12-08 01:25:14 EST
is this still a problem with the latest updates ?
Comment 7 Dave Jones 2005-04-16 01:36:40 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.